Bug 1306569 - [RFE] Allow instances to swap to RBD volumes
[RFE] Allow instances to swap to RBD volumes
Status: ASSIGNED
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-nova (Show other bugs)
10.0 (Newton)
x86_64 Linux
high Severity high
: ---
: 13.0 (Queens)
Assigned To: Lee Yarwood
nlevinki
: FutureFeature, Triaged
Depends On: 1306562
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-11 05:16 EST by Lee Yarwood
Modified: 2017-08-04 21:57 EDT (History)
12 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Lee Yarwood 2016-02-11 05:16:56 EST
Description of problem:

Nova only allows volumes that are locally mapped or currently defined against a domain to be used as the new target volume when swapping volumes, thus blocking live volume migrations to RBD volumes. The following libvirt RFE aims to allow for the connection details of a RBD volume to be passed to virDomainBlockRebase as the base backing image :

[RFE] Allow virDomainBlockRebase to use remote RBD volumes as the base backing image
https://bugzilla.redhat.com/show_bug.cgi?id=1306562

Once implemented Nova should be able to call virDomainBlockRebase with the new volumes connection details and allow libvirt/QEMU to handle the rebase.

An alternative would be to map the RBD volumes to the host, however this would require the use of the RBD kernel module and greatly complicate Nova's interactions with these volumes  when compared to using libvirt/QEMU directly.

[1] https://github.com/openstack/nova/blob/master/nova/virt/libvirt/driver.py#L1400
Comment 3 Stephen Gordon 2017-01-26 16:12:26 EST
Libvirt dependency still isn't met.

Note You need to log in before you can comment on or make changes to this bug.